com.independentsoft.exchange

## Class GetFederationInformationResponse

- java.lang.Object
- - com.independentsoft.exchange.GetFederationInformationResponse

-     public class GetFederationInformationResponse
      extends java.lang.Object

  Represents the domain collection that is returned in a GetDomainSettings Operation (SOAP), the domains that the organization has federated in a GetFederationInformation Operation (SOAP), or the domains with an organization relationship as returned by GetOrganizationRelationshipSettings Operation (SOAP).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetFederationInformationResponse()` Initializes a new instance of the GetFederationInformationResponse class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApplicationUri()` Defines the location of an application.
    `java.util.List<java.lang.String>` | `getDomains()` Gets the domain collection the configurations for which are returned in a GetDomainSettings Operation (SOAP), or the domains that the organization has federated in a GetFederationInformation Operation (SOAP).
    `ErrorCode` | `getErrorCode()` Gets an error code that is returned by the Autodiscover service.
    `java.lang.String` | `getErrorMessage()` Gets a message that is associated with an error code that is returned by the Autodiscover service.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetFederationInformationResponse

          public GetFederationInformationResponse()

      Initializes a new instance of the GetFederationInformationResponse class.

  - ### Method Detail

    - #### getErrorCode

          public ErrorCode getErrorCode()

      Gets an error code that is returned by the Autodiscover service.
      Returns:
        the error code

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

      Gets a message that is associated with an error code that is returned by the Autodiscover service.
      Returns:
        the error message

    - #### getApplicationUri

          public java.lang.String getApplicationUri()

      Defines the location of an application.
      Returns:
        the application uri

    - #### getDomains

          public java.util.List<java.lang.String> getDomains()

      Gets the domain collection the configurations for which are returned in a GetDomainSettings Operation (SOAP), or the domains that the organization has federated in a GetFederationInformation Operation (SOAP).
      Returns:
        the domains